PageantConnector.COPYDATASTRUCT32
Date: 2016-06-23

com.jcraft.jsch.agentproxy.connector

## Class PageantConnector.COPYDATASTRUCT32

- java.lang.Object
- - com.sun.jna.Structure
  - - com.jcraft.jsch.agentproxy.connector.PageantConnector.COPYDATASTRUCT32

- Enclosing class:
    PageantConnector

      public class PageantConnector.COPYDATASTRUCT32
      extends com.sun.jna.Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue, com.sun.jna.Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cbData`
    `int` | `dwData`
    `com.sun.jna.Pointer` | `lpData`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageantConnector.COPYDATASTRUCT32()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List` | `getFieldOrder()`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwData

          public int dwData

    - #### cbData

          public int cbData

    - #### lpData

          public com.sun.jna.Pointer lpData

  - ### Constructor Detail

    - #### PageantConnector.COPYDATASTRUCT32

          public PageantConnector.COPYDATASTRUCT32()

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List getFieldOrder()

      Specified by:
        `getFieldOrder` in class `com.sun.jna.Structure`